Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Wed 22 Oct 2014, 11:39
All times are UTC - 4
 Forum index » House Training » Users ( For the regulars ) » Für deutschsprachige Anhänger
eingedeutschtes Puppy mit Bauanleitung
Moderators: MU
Post new topic   Reply to topic View previous topic :: View next topic
Page 4 of 6 [76 Posts]   Goto page: Previous 1, 2, 3, 4, 5, 6 Next
Author Message
deepsea

Joined: 17 Jan 2009
Posts: 154
Location: Deutschland

PostPosted: Tue 12 Jan 2010, 15:24    Post subject: XFCE4_DEUTSCH_Installer_V0.1.0
Subject description: XFCE4 mit eindeutschten Programmen fuer andere Puppy Versionen
 

Hallo Ihr Puppy Lover

Ich möchte mal den Thread Revue passieren lassen:

es fing an mit
der-schutzhund wrote:

Seit nun über einem Jahr versuche ich (natürlich mit Unterbrechungen) ein eingedeutschtes Puppy zu finden oder selbst zu erzeugen....

und
sailorbrand wrote:

Ich weiss genau was du meinst:
wenn es nur ein ganz normales -deutsches- Puppy gäbe...


Yup dachte ich schön wärs ja, weil ich Puppy auch so lieb hab. Laughing

Über den längeren Diskurs wie man die Sprachdateien syncronisieren sollte
habe ich mich damals geärgert und gedacht da fängste einfach mal an und machst
dein Puppy Deutsch.
Nach dem ich feststellt hatte ,dass die meisten Programme in Puppy so kompiliert
waren das sie den xxx.mo file in /usr/share/locale/de ignorierten
(unteranderm rox) habe ich sie gegen neuere Versionen getausch .
Auch das JWM mir die Menues alle Nase lang wieder zurück verbog hat mich nicht abgeschreckt.
Kaum war die Arbeit vollbracht kam die neue Puppy version raus Rolling Eyes

Ergo alles noch mal ? Ne

Auch i-michaels einwand
i-michael wrote:

Leider - und damit bin / war ich nicht einverstanden,, daß die Installation dieser Sprachpakete ungefragt meine Icons in Rox (wer will bunt und laut ?) geändert,


Ist absolut berechtigt, weil wenn wir mal ehrlich sind wer benutzt den eine einzige Puppy version ?
( Ausser mir der das Glück hat, dass ein und die selbe Version auf allen PC's / Laptos lauft.
Nun ja dafür musste ich sogar fuer 20euro ne neue Wlankarte für mein altes Laptop
kaufen.Aber wer macht das schon Hardware an kostenlose Software anpassen ????
Embarassed Wie kann ich nur !!!! Embarassed )

Nein um Weiter zu kommen probieren wir doch alle dieses oder jenes Derivat aus.
Oder wir muessen es weil die Hardware sonst wirklich nicht will. Rolling Eyes

Meine abschliessende Entscheidung zum Thema Puppy auf Deutsch:
Puppy komplett in Deutsch wird es wohl nie geben Sad

Weil ich das Konzept von Puppy liebe ich aber sehe das es die
Derivate aus einander driften siehe dpup, puppy4.3.1, Turbopup_extrem ...
alle mit anderer Oberfäche jeder mit nem anderen Browser usw.

Habe ich mir einen Installer gebastellt der mir XCFE4 und Deutsch
und Opera auf verschiedene Puppy Versionen installieren soll.
Das soll bedeuten es sieht dann aus wie das deutsche 4..3.1
es werden keine Programme gelöscht.

Getestet habe ich:
dpup-484
turbopup_extrem1.0
puppy 4.3.X
puppy 4.1.2
puppy 4.2.0
Quirky 009 (für Opera muss noch das Packet "OpnGL DRI" installiert werden)

Ich dacht mir vieleicht hatder ein oder andere mal Spass daran ihn auszuprobieren ?
Speziel Michael Razz

Finden kann man in hier

http://puppyisos.org/files/other/XFCE4_DEUTSCH_Installer/
user: puppy
passwort: linux

Die Datei ist 55 MB gross weil dort 2 SFS enthalten sind. Eine alte SFS version
und eine neue SFS version .Der Installer soll aber alleine erkennen welche er nimmt.


@ i-michael :Dieses mal wird mann gefragt Laughing

Last edited by deepsea on Tue 16 Mar 2010, 14:27; edited 2 times in total
Back to top
View user's profile Send private message 
der-schutzhund

Joined: 26 Nov 2007
Posts: 781
Location: Blomberg / Germany

PostPosted: Tue 12 Jan 2010, 17:18    Post subject: Re: XFCE4_DEUTSCH_Installer_V0.1.0
Subject description: XFCE4 mit eindeutschten Programmen fuer andere Puppy Versionen
 

Hallo deepsea,

zunächst nochmal vielen Dank für deine Arbeit! Ich stimme dir zu mit der Ansicht, dass es wohl nie ein komplett deutsches Puppy geben wird.
Für meinen Teil muss ich auch sagen, dass ich mit dieser Art eingedeutschtem Linux aber sehr gut zurecht komme. Wenn Systemteile, die nur einmal für die Einstellung gebraucht werden auf Englisch sind, dann ist das kein Problem.

So nah wie jetzt war ich dem praktischen Einsatz bei mir in der Schule noch nie! Es gibt nur noch einzelne Probleme, wie die Einrichtung eines Netzwerkdruckers und einige Dinge zu Wine.

Im Augenblick habe ich nur ein Zeitproblem, Teilnahme an einem Technik-Wettbewerb, demnächst Tag der offenen Tür, in diesem Jahr 50jähriges Bestehen meiner Schule und da bleibt für Puppy nicht so viel Zeit über;-(

Bin deshalb bei Puppy auf standby...Wink

Wenn ich deinen Ansatz richtig verstehe, dann wäre das:
Es kommt ein neues Puppy auf den Markt, dann lässt man deinen Installer laufen und es ist automatisch eingedeutscht und hat den Opera in Deutsch?
Dann wäre das ja, bis auf den Opera, optimal oder..
Einen passenden Browser kann sich doch auch noch jeder selbst laden oder?

Grundsätzlich gebe ich dir auch Recht, was die "ungünstige" Vielfalt von Versionen angeht. Es wird an Oberflächen und Spielereien programmiert wo das System selbst noch nicht fertig ist. Dadurch verzögert sich die gesamte Entwicklung aber ... alles sieht gut aus;-)

Auf der anderen Seite kann man natürlich keinem vorschreiben, was er machen soll;-)

Grüße Wolfgang


deepsea wrote:
Hallo Ihr Puppy Lover

Ich möchte mal den Thread Revue passieren lassen:

es fing an mit
der-schutzhund wrote:

Seit nun über einem Jahr versuche ich (natürlich mit Unterbrechungen) ein eingedeutschtes Puppy zu finden oder selbst zu erzeugen....

und
sailorbrand wrote:

Ich weiss genau was du meinst:
wenn es nur ein ganz normales -deutsches- Puppy gäbe...


Yup dachte ich schön wärs ja, weil ich Puppy auch so lieb hab. Laughing

Über den längeren Diskurs wie man die Sprachdateien syncronisieren sollte
habe ich mich damals geärgert und gedacht da fängste einfach mal an und machst
dein Puppy Deutsch.
Nach dem ich feststellt hatte ,dass die meisten Programme in Puppy so kompiliert
waren das sie den xxx.mo file in /usr/share/locale/de ignorierten
(unteranderm rox) habe ich sie gegen neuere Versionen getausch .
Auch das JWM mir die Menues alle Nase lang wieder zurück verbog hat mich nicht abgeschreckt.
Kaum war die Arbeit vollbracht kam die neue Puppy version raus Rolling Eyes

Ergo alles noch mal ? Ne

Auch i-michaels einwand
i-michael wrote:

Leider - und damit bin / war ich nicht einverstanden,, daß die Installation dieser Sprachpakete ungefragt meine Icons in Rox (wer will bunt und laut ?) geändert,


Ist absolut berechtigt, weil wenn wir mal ehrlich sind wer benutzt den eine einzige Puppy version ?
( Ausser mir der das Glück hat, dass ein und die selbe Version auf allen PC's / Laptos lauft.
Nun ja dafür musste ich sogar fuer 20euro ne neue Wlankarte für mein altes Laptop
kaufen.Aber wer macht das schon Hardware an kostenlose Software anpassen ????
Embarassed Wie kann ich nur !!!! Embarassed )

Nein um Weiter zu kommen probieren wir doch alle dieses oder jenes Derivat aus.
Oder wir muessen es weil die Hardware sonst wirklich nicht will. Rolling Eyes

Meine abschliessende Entscheidung zum Thema Puppy auf Deutsch:
Puppy komplett in Deutsch wird es wohl nie geben Sad

Weil ich das Konzept von Puppy liebe ich aber sehe das es die
Derivate aus einander driften siehe dpup, puppy4.3.1, Turbopup_extrem ...
alle mit anderer Oberfäche jeder mit nem anderen Browser usw.

Habe ich mir einen Installer gebastellt der mir XCFE4 und Deutsch
und Opera auf verschiedene Puppy Versionen installieren soll.
Das soll bedeuten es sieht dann aus wie das deutsche 4..3.1
es werden keine Programme gelöscht.

Getestet habe ich:
dpup-484
turbopup_extrem1.0
puppy 4.3.X
puppy 4.1.2
puppy 4.2.0


Ich dacht mir vieleicht hatder ein oder andere mal Spass daran ihn auszuprobieren ?
Speziel Michael Razz

Finden kann man in hier

http://puppyisos.org/files/other/XFCE4_DEUTSCH_Installer/
user: puppy
passwort: linux

Die Datei ist 55 MB gross weil dort 2 SFS enthalten sind. Eine alte SFS version
und eine neue SFS version .Der Installer soll aber alleine erkennen welche er nimmt.


@ i-michael :Dieses mal wird mann gefragt Laughing
Back to top
View user's profile Send private message 
deepsea

Joined: 17 Jan 2009
Posts: 154
Location: Deutschland

PostPosted: Wed 13 Jan 2010, 15:26    Post subject:  

der-schutzhund wrote:
Wenn ich deinen Ansatz richtig verstehe, dann wäre das:
Es kommt ein neues Puppy auf den Markt, dann lässt man deinen Installer laufen und es ist automatisch eingedeutscht und hat den Opera in Deutsch?

Quote:


Im Idealfall genau so Very Happy

der-schutzhund wrote:

Dann wäre das ja, bis auf den Opera, optimal oder..
Einen passenden Browser kann sich doch auch noch jeder selbst laden oder?
................
Auf der anderen Seite kann man natürlich keinem vorschreiben, was er machen soll;-)



So isses Cool

Ne aber mal im ernst. Der Opera hat einfach die Funktionen onboard
die Ich brauche und kann als Static download sehr einfach eingebunden / aktualisiert werden.Ausserdem bringt er die Sprachen mit.
Bei Firefox oder Seamonky musste ich immer das komplette Paket tauschen um die Sprache zu wechseln.
Ich habe halt immer noch im Hinterkopf das die Installation mehrsprachiig bleibt.
Back to top
View user's profile Send private message 
aragon

Joined: 15 Oct 2007
Posts: 1698
Location: Germany

PostPosted: Tue 26 Jan 2010, 03:58    Post subject:  

deepsea wrote:
Bei Firefox oder Seamonky musste ich immer das komplette Paket tauschen um die Sprache zu wechseln.

Seamonkey habe ich nie geschaut, aber für Firefox ist das so nicht richtig. Du benötigst zum Sprachwechsel nur 2 Addons, einen Sprach-Wechsler (generiert ein Untermenü) und das deutsche Sprachpaket für die jeweilige Version.

1. Locale-Switcher
Quick Locale Switcher:https://addons.mozilla.org/en-US/firefox/addon/1333
oder
Locale Switcher: https://addons.mozilla.org/en-US/firefox/addon/356
2. Sprachpaket
z.B. für 3.5.7
http://releases.mozilla.org/pub/mozilla.org/firefox/releases/3.5.7/win32/xpi/de.xpi

grüße
aragon

_________________
PUPPY SEARCH: http://wellminded.com/puppy/pupsearch.html
Back to top
View user's profile Send private message 
deepsea

Joined: 17 Jan 2009
Posts: 154
Location: Deutschland

PostPosted: Tue 26 Jan 2010, 14:01    Post subject:  

Moin aragon

Ich meinte auch nicht externe plugins.
So etwas sollte ein Programm direkt unterstützen.
Es sollte also die Einstellungen unter Locale erkennen und die
Globale Sprache direkt umschalten.

Aber die Plugins für den Firefox funktionieren Razz
Wenn man nach dem Installieren im
Firefoxmenue -> Tools -> language anwählt
kann man die Sprache umstellen.
Ob der Aufruf aus der Konsole mit der Sprachoption
auch funktioniert habe ich noch nicht getestet.
Back to top
View user's profile Send private message 
aragon

Joined: 15 Oct 2007
Posts: 1698
Location: Germany

PostPosted: Fri 29 Jan 2010, 07:22    Post subject:  

deepsea wrote:
Moin aragon

Ich meinte auch nicht externe plugins.
So etwas sollte ein Programm direkt unterstützen.
Es sollte also die Einstellungen unter Locale erkennen und die
Globale Sprache direkt umschalten.

ja, kann ich nachvollziehen,

aber

das sind dann für Firefox ca. 10,5 mb an sprachdateien (so über den daumen gepeilt)... von denen jeder nutzer nur eine sprache braucht... das handling in firefox könnte sinnvoller sein (integration in sprachwahl und download in firefox integrieren wie add-on), alle sprachen zu integrieren, muss aber nicht sein (meine meinung).

bei opera machen die sprachdateien übrigends ~9.6 MB von ~24 MB gesamt aus.

aragon

_________________
PUPPY SEARCH: http://wellminded.com/puppy/pupsearch.html
Back to top
View user's profile Send private message 
wuwei


Joined: 15 Sep 2007
Posts: 774
Location: de

PostPosted: Fri 19 Mar 2010, 08:30    Post subject:  

Hallo Puppy Freunde,

ich hatte heute mal etwas Zeit, um diesen Thread zu durchforsten. offensichtlich ist es schwierig bis schwierigst, ein Standard Puppy so einzudeutschen, daß es hinterher auch noch genauso funktioniert, wie vorher.
Den Bemühungen und Ergebnissen von deepsea meine hohe Anerkennung. Sein Puppy 431 mit XFCE ist wunderschön, aber XFCE? Hier wird das Deutsch mit einer anderen Oberfläche und einem anderen Fenstermanager erkauft. Dafür gibt es sicher einen guten Grund. Trotzdem entfernt man sich ein gutes Stück aus der Puppy Welt. Muß das so sein?

Ich frage mich, ob man nicht mit enormem Aufwand etwas erreichen will, was an sich mit viel kleinerem Aufwand andersherum ganz leicht ist.

Wieviele englische Ausdrücke sind denn an der Oberfläche eines normalen Puppy, wie 431, sichtbar? 50? 60? 100? Eigentlich brauchte man doch nur ein schriftliches Tableau, das die Begriffe Seite an Seite stellt. Das ist relativ einfach zu erstellen, kann in Gemeinschaftsarbeit geschaffen werden und jeder neuen (Standardversion) von Puppy angepaßt werden. Im Englischen heißt so etwas Template und ich behaupte, daß jeder der sich mit Puppy befaßt und es hier auf diese Seiten geschafft hat, intelligent genug ist, mit so einem Template zurecht zu kommen. Das Gute daran ist außerdem, man lernt nach einiger Zeit die Begriffe und das Template wird überflüssig.

Um das nicht nur so ins Blaue hinein zu behaupten, sichere ich euch zu: "I'll put my money where my mouth is".
Heißt, ich fange mit einer Übersetzung von Desktop und Menü an und stelle das Ergebnis hier ins Forum, sofern mein Vorschlag durch entsprechende Rückmeldungen auf Gegenliebe stößt. Dann könnt Ihr ergänzen und weiterführen.
Back to top
View user's profile Send private message 
eastler_dart

Joined: 11 Feb 2009
Posts: 32

PostPosted: Mon 05 Jul 2010, 14:59    Post subject:  

Hi Leute,

was steckt eigentlich alles in dem Wort schwierig?

Seit anderthalb Jahren übersetze ich nun schon Puppy4.12 ins deutsche, ich könnte ein Lied davon singen.

Klar, wenns mein Beruf wäre, würde ich streng nach Plan arbeiten, einfach alle Systemscripts erst mal in Texteditor und, soweit möglich, hart-einprogrammiert übersetzen. In zwei Wochen sind da die wichtigsten geschafft.

Aber es ist nicht mein Beruf, und deshalb soll es soll ein tolles Puppy werden.
Klar hatte ich diesen (und andere) Threads und Hinweise mit euren Wünschen gelesen (soweit diese vor ca 1.5 jahren schon bestanden), einiges davon versucht umzusetzen.

Aber auch ich hab Wünsche dazu. Puppy soll Samba können
- Samba Server natürlich. Auf Deutsch, klar....
einfach einzurichten----....
und soll mit alten Maschinen (W98) auch umgehen können....
also ein altes Samba auch noch (Ver 1.9)....
na ja, das mit dem einfach einzurichten wird nicht klappen.
Und da dran hängt natürlich ne User-Verwaltung. Puppy (=Samba) muß ja die User kennen, die sich einloggen wollen.
Dabei soll aber Puppy selbst original bleiben, also nix mit den usern am Hut haben und unverändert als root laufen.
Und damit das als Samba-Server laufende Puppy sich Festplattenplatzverstärkung bei nem anderen Puppy-PC holen kann (für Backups??) hab ich das alte NFS-Protokoll aus frühreren Puppies wieder integriert.

Beruflich haben wir mehrere Maschinen stehen, darauf gibts Firefox 1 , 2, nebst Thunderbird in verschiedenen Versionen,
Puppy zeigt mit der SeaMonkey-Suite ein wirklich brauchbares Komplettpaket,
früher hatte ich auch mal Opera unter Win am laufen......

OK, die Seamonkey-Suite in Ver 1.1.14 auf deutsch ist auf jedenfall dabei
Auch Opera 10 steht in deutsch, hat sogar n neues Outfit passend zum neuen Puppy-Desktop gekriegt, aber irgendwie ...hm.... manchmal umständlich.... auf alten Maschinen trödelnd.....
In Firefox hab ich ettliche Nächte investiert, aber noch nix Verwertbares dabei.

Und so zieht der Aufwand immer größere Kreise.

Zwischenfrage: habt Ihr mal in der reinen Konsole ein ä getippt?.
wird doch schön angezeigt, oder? Drückt danach 2 mal die Rücktaste, boahhhh.
Öffnet dann mal den e3-Editor in der Konsole und tippt Umlaute ein
schii.....t
Hab zwar den Weg gefunden wie alle diese Probs weg sind, sogar der mp-Editor (auf Ver 5.1.3 erneuert - natürlich komplett deutsch - neben vielen weiteren Progs in neueren Versionen) hat keine Anzeigefehler mehr, ABER um diesen Lösungsweg in Puppy reinzubringen muß ich den Kernel neu kompilieren. Und das will (derzeit) nun gar nicht klappen.

Hat schonmal jemand versucht, nur das Desktop-Menü einzudeutschen??? ich hab damit ettliche Nächte verbracht, naja, habs ja auch noch etwas umstrukturiert.

Und OpenOffice 3 ??? viele böse unaufgelöste Abhängigkeiten...

Ach ja, programmieren will ich ja unter Puppy auch (englisch).
FreeBasic, C-Kompiler .....
und n paar Games sollen auch nachladbar sein,
diese Pets wollen alle erst gemacht werden.


Also, schwierig sollte eigentlich zeitaufwendig heißen!!

Und der Gedanke, diese immense Arbeit deshalb auf mehrere Köpfe aufzuteilen bringt auch neue zusätzliche Ideen mit sich, was vielleicht nicht unbedingt schneller heißt.

und immer noch tausend Ideen auf de ToDo-Liste.

und ich bin bei Puppy 4.1.2 (plus viele Upgrades),
Bei welcher Version ist das Originalpuppy mittlerweile angelangt?

Na ja, im Moment träum ich davon, daß ich in nem viertel jahr die erste Testversion (wo?) veröffentliche. hm. Muß mich ja noch um die rechtliche Seite kümmern, Open-source etc, noch keine Ahnung davon.

Nun hoffe ich, daß diese Erfahrungen euch helfen, Übersetzungsgedanken für Puppy richtig anzusetzen.

Ansonsten vergrab ich mich nun wieder in Helptexts for kompiling Kernels

euer Eastler
Back to top
View user's profile Send private message 
oui

Joined: 20 May 2005
Posts: 2096
Location: near Woof (Germany) :-) Acer Laptop emachines 2 GB RAM AMD64. franco-/germanophone, +/- anglophone

PostPosted: Mon 05 Jul 2010, 16:58    Post subject:  

hallo eastler_dart

mit Deinem hübschen englisch anmutendem Pseudo bist Du also ein dieser deutschen Englisch-Überall-Ablehner, wie es in Frankreich so viele aber in Deutschland so wenige gibt Idea !

wozu das Ganze?

Linux in Deutsch gäbe es viel. Linux mit ähnlichen Eigenschaften wie Puppy aber auch in Deutsch gäbe es auch schon.

mir fällt nur einen Anwendungsfall ein, wo das irgendwie zu rechtfertigen ist: derjenige, der für betreute Personen (Kinder, Behinderte, alte Menschen) etwas tut, und hinterher keine Rückfragen haben will.

wenn jemand mir sagen würde

"ich baue jetzt eine Version von, nehmen wir an, Puppy 4.1, aber ganz ohne Text, nur Sinnbilder",

würde ich kapieren

oder mit Woof baue ich gleichzeitig mehrere Puppy's in mehreren Europa-Sprachen, dann ist für mein Kontinent das Sprachproblem weg

würde ich kapieren

oder ich mache eine deutsche Version zwar, oder eine andere englisch sprachige Version, aber vermeide konsequent drin, die Wörter, die in diesen beiden Sprachen nicht ähnlich sind bzw. verständlich (da die Verwandschaft dieser Sprachen so gross ist, dass man vieles auch ohne gelernt zu haben versteht...)

würde ich kapieren

oder ich mache ein internationale Version in einer neutralen künstlichen Sprache, ob Interlingua, Ido, Okzidental, Esperanto, Toki Pona, oder sonst was immer

würde ich kapieren.

Was mich wundert, ist, dass Du Sachen übersetzt, wofür es deutsche Versionen gibt. Typisch Seamonkey, ist eine Software aus dem deutschen Sprachraum. Die Originalversion lässt vom Site der deutschspr. Liebhaber von Seamonkey lässt sich sehr leicht in Puppy installieren: die *.tar.bz2-Datei entpacken, den neuen Ordner in /usr/lib/ reintun, dem Ordner des Seamonkey's von Puppy verändern, dem soeben entpacken Ordner den Namen, den der Andere bisher hatte geben, fertig... Wenn Du aber von Version 1.1.14 auf Version 2.n hochrüsten solltest, wirst Du einige Bibliotheken noch zusätzlich brauchen.

Ja, man kann auch in der Kommandozeile äöüß schreiben, allerdings muss man eine Map installieren, die früher auf der Webseite von Mark bereitlag ( http://dotpups.de ).

Salut
Back to top
View user's profile Send private message 
eastler_dart

Joined: 11 Feb 2009
Posts: 32

PostPosted: Tue 06 Jul 2010, 05:00    Post subject:  

mit Deinem hübschen englisch anmutendem Pseudo bist Du also ein dieser deutschen Englisch-Überall-Ablehner, wie es in Frankreich so viele aber in Deutschland so wenige gibt Idea !

hm.
Pseudo: kommt aus dem Sportbereich, dort hatte ich diesen Pseudo, weil ich "im westen geboren und im Osten arbeite". Hab diesen kurzerhand auch hier verwendet.

Ablehner: wie du in meinem Kurzpost siehst, bleiben die Pets fürs Programmieren (womit nur ich selbst umgehen werde) in englisch. Also ist komplettes Ablehnen nicht wirklich so

wozu das Ganze: um meinen Arbeitskollegen ein Puppy zur Verfügung zu stellen, mit dem Sie trotz nicht/nur gering vorhandener Englischkenntnisse arbeiten können.

mir fällt nur einen Anwendungsfall ein...:
Da gibts noch einen. Ich, für mich und meine Kollegen will ein Puppy auf deutsch. Und weil es Puppy kostenlos gibt, stell ich das hinterher als Dankeschön dafür allen zur Verfügung.
Dies bringt halt den Umstand mit sich, daß dieses Puppy in einer für uns verwendbaren Art erstellt wird.

Seamonkey: hab ich nicht übersetzt, sondern so wie du das beschrieben hast, als PET erstellt, und dieses Pet liegt dann zum nachladen (wie viele andere Sachen auch) auf der Puppy-deutsch-CD (also im ISO).

Ja, man kann auch in der Kommandozeile äöüß schreiben:
hatte ich ja gemeint. Aber schreib mal drei diese Umlaute und drück mal die Rücktaste 3 mal, sind bei dir dann alle 3 getippten Umlaute wirklich weg???
Bei mir gibt die Tastatur grundsätzlich immer 2Byte für Buchstaben aus (internationalisierung), und die Eingaberoutine der Konsole löscht aber mit der Rücktaste nur das letzte Byte davon.
e3 (und viele andere Konsolenprogramme wie z.B. dialog) ist nicht in der Lage, mit diesen doppel-Byte-Buchstaben umzugehen,
also hat die reine Konsole (ohne X im Hintergrund) keinen Editor, um z.B. die Systemdateien zu bearbeiten, wenn man Umlaute darin verwenden will, dialog kann keine Info-Texte mit Umlauten ausgeben ....
Am besten sag ich gleich noch dazu, daß ich Kernel 2.6.25.16 verwende, also nicht der Retro-Kernel.

Map installieren:
Klar, erst mal ne Tastaturmap, damit die 'ä' Taste auch ein 'ä' auslöst, aber siehe zuvor, klappt nicht ganz

hoffe, hiermit einiges besser erklärt zu haben,


Eastler
Back to top
View user's profile Send private message 
sailorbrand

Joined: 31 May 2008
Posts: 346
Location: Germany

PostPosted: Fri 13 Aug 2010, 06:32    Post subject: Re: XFCE4_DEUTSCH_Installer_V0.1.0
Subject description: XFCE4 mit eindeutschten Programmen fuer andere Puppy Versionen
 

deepsea wrote:

Habe ich mir einen Installer gebastellt der mir XCFE4 und Deutsch
und Opera auf verschiedene Puppy Versionen installieren soll.
Das soll bedeuten es sieht dann aus wie das deutsche 4..3.1
es werden keine Programme gelöscht.

Getestet habe ich:
dpup-484
turbopup_extrem1.0
puppy 4.3.X
puppy 4.1.2
puppy 4.2.0
Quirky 009 (für Opera muss noch das Packet "OpnGL DRI" installiert werden)

Ich dacht mir vieleicht hatder ein oder andere mal Spass daran ihn auszuprobieren ?
Speziel Michael Razz

Finden kann man in hier

http://puppyisos.org/files/other/XFCE4_DEUTSCH_Installer/
user: puppy
passwort: linux

Die Datei ist 55 MB gross weil dort 2 SFS enthalten sind. Eine alte SFS version
und eine neue SFS version .Der Installer soll aber alleine erkennen welche er nimmt.


@ i-michael :Dieses mal wird mann gefragt Laughing


Seit langem mach ich nun am sailpup weiter. Musste mich in das ganze Puppy-Dingens erst wieder rein finden. Hab ein wenig den Überblick verloren.

Habe den Installer mal mit Puppy5. Da startet nur die Maus, aber der desktop sonst nur schwarz...

Da 5 wohl (nach dem was ich so las) mit Debs umgehen kann, wär das für meine sailpup-Probleme das richtige . Glaub ich ..?

_________________
Gruß Michael

Acer Aspire 5730ZG, 4GB Ram, 320 GiG HD, 2,0 Ghz Intel DualCore
nvidia Geforce 9300M GS TurboCache, Puppys & Ubuntu. Vista gelöscht!
Back to top
View user's profile Send private message 
der-schutzhund

Joined: 26 Nov 2007
Posts: 781
Location: Blomberg / Germany

PostPosted: Mon 16 Aug 2010, 15:20    Post subject: Re: XFCE4_DEUTSCH_Installer_V0.1.0
Subject description: XFCE4 mit eindeutschten Programmen fuer andere Puppy Versionen
 

Wäre nicht schlecht, wenn wir das mit der aktuellen Version realisieren könnten!

Grüße Wolfgang
Back to top
View user's profile Send private message 
sailorbrand

Joined: 31 May 2008
Posts: 346
Location: Germany

PostPosted: Mon 16 Aug 2010, 15:49    Post subject:  

ich such noch nach der richtigen Basis.

leider hab ich diverse probleme mit Lupu und Quirky mit meiner Hardware.

Hab ich ja anderenorts schon beschrieben. Am besten läuft derzeit lhpup. Ist halt nicht deb-verträglich. wär auch zu schön...

Dafür ist nvidia, stellarium, google-earth, schon fertig. wird für ein remaster nur vielleicht zu groß.

Wer ist eigentlich der Chef vom lhpup?

Alternativ: mal kucken ob dpup soweit ausgereift ist, dass man es remastern kann?

Mod: ggf die 3 letzten posts in den Threat sailpup schieben?

_________________
Gruß Michael

Acer Aspire 5730ZG, 4GB Ram, 320 GiG HD, 2,0 Ghz Intel DualCore
nvidia Geforce 9300M GS TurboCache, Puppys & Ubuntu. Vista gelöscht!
Back to top
View user's profile Send private message 
deepsea

Joined: 17 Jan 2009
Posts: 154
Location: Deutschland

PostPosted: Tue 17 Aug 2010, 15:00    Post subject:  

sailorbrand wrote:

Habe den Installer mal mit Puppy5. Da startet nur die Maus, aber der desktop sonst nur schwarz...

Probiermal:
xfce4_de_4_lqw_puppy.pet
Back to top
View user's profile Send private message 
der-schutzhund

Joined: 26 Nov 2007
Posts: 781
Location: Blomberg / Germany

PostPosted: Wed 15 Aug 2012, 04:28    Post subject:  

Hallo zusammen,

nach längerer Zeit in der ich 431 als Basis verwendet habe, konnte ich die meisten meiner Programme so einbauen, dass sie liefen.
Das Problem war nur die Größe des ISO. Ich konnte es irgendwann nicht mehr auf unseren Schulrechnern starten! Das war daher also eine Sackgasse mit 431. Es war an der Zeit sich nach einer neuen Basis umzusehen. In Lazy habe ich sie gefunden. Lazy war da schon (ebenso wie 431.de) deutsch und hatte ein paar interessante Funktionen wie Usermodus mit 4 verschiedenen Benutzerdefinitionen (Anfänger bis Profi). Nun blieb noch das Problem mit dem Speicherbedarf bei beliebig vielen Programmen. Es hat sich dann die Idee entwickelt die Programme dynamisch zu laden, wenn sie gebraucht werden. Das geht zwar grundsätzlich auch mit dem sfsloader aber eben nur von Hand. Der Entwickler von Lazy (Rainer) hat dann mit viel Zeitaufwand diese Grundidee umgesetzt und optimiert. An dieser Stelle nochmal extrem vielen Dank von meiner Seite!
Die Entwicklung ist nun erst mal abgeschlossen. Das Iso von Lazy2.0.2 ist ca. 165 MB groß. Alle erforderlichen Zusatzprogramme (beliebig viele) lassen sich automatisch, dynamisch laden. Lazy erkennt beim Programmaufruf ob das erforderliche sfs geladen ist oder nicht und läd es von der Festplatte nach. Ist es nicht auf der Festplatte, so kann vorher eine Internetadresse definiert werden, von der das sfs automatisch nachgeladen wird. Weil die so verwendeten sfs bestimmte Zusatzinfos besitzen müssen, hat Rainer auch noch ein paar kleine Zusatztools entwickelt damit jeder seine eigenen sfs auf die erforderliche Form konvertieren kann. Inzwischen gibt es schon weit über 100 sfs mit Programmen zu allem was man so braucht und was es nicht fertig gibt konvertiert man selbst z.B. aus einem Pet oder aus einem normalen sfs oder aus einem beliebigen Verzeichnis!
Auch wine - Programme können automatisch eingebunden werden. Beim Programmstart wird gefragt, ob die Windowsumgebung eingebaut werden soll (was allerdings auch jeder Zeit später erfolgen kann). Danach können Windowsprogramme aus Portableapps gestartet werden.
Weil das dynamische nachladen nur wenige Sekunden dauert ist es nichtmehr erforderlich die Programme fest in das iso einzubauen.
Das System ist fertig und kann eingesetzt werden!

Einschränkungen:
Die Steuerung von Tabletts über den Screen läuft, ebenso wie bei 431, nicht was jedoch am Kernel liegt.

Nvidia läuft, anders als bei 431, nicht. Da müssen die Treiber wohl noch eingebaut werden.

Also ruhig mal testen!

EDIT: Nvidia läuft doch, man muss es nur aktivieren. Beim Booten kann der passende Mode mit "vga=ask" ausgewählt werden! Hat man dann erst mal den Start durchgeführt, dann kann man spezielle nvidia-treiber als pet im Paketmanager nachladen!

Viele Grüße

Wolfgang

Last edited by der-schutzhund on Sat 22 Sep 2012, 16:12; edited 1 time in total
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 4 of 6 [76 Posts]   Goto page: Previous 1, 2, 3, 4, 5, 6 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » House Training » Users ( For the regulars ) » Für deutschsprachige Anhänger
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1465s ][ Queries: 12 (0.0077s) ][ GZIP on ]